'use strict';

var _interopRequireDefault = require('babel-runtime/helpers/interop-require-default')['default'];

Object.defineProperty(exports, '__esModule', {
	value: true
});
exports.eraseThenCreatePrompt = eraseThenCreatePrompt;
exports.createPrompt = createPrompt;

var _objectAssign = require('object-assign');

var _objectAssign2 = _interopRequireDefault(_objectAssign);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var projectName = {
	type: 'input',
	name: 'projectName',
	message: 'What is the name of your project?',
	'default': process.cwd().split(_path2['default'].sep).pop(),
	validate: function validate(x) {
		return x.length > 0 ? true : 'You have to provide a project name';
	}
};

exports.projectName = projectName;
var eraseCard = {
	type: 'confirm',
	name: 'eraseCard',
	message: 'A timecard file already exists. Do you want to erase it and start over?',
	'default': false
};

exports.eraseCard = eraseCard;

function eraseThenCreatePrompt() {
	var whenObj = {
		when: function when(answers) {
			return answers.eraseCard;
		}
	};
	var whenProject = (0, _objectAssign2['default'])({}, projectName, whenObj);

	return [eraseCard, whenProject];
}

function createPrompt() {
	return [projectName];
}